util.io

## Class XMLWriter

- java.lang.Object
- - util.io.XMLWriter

-     public class XMLWriter
      extends java.lang.Object

  Creates a String representation of a XML-Document. Really simple, no Attributes, only Nodes and TextNodes, no PI's and stuff
  Author:
    bodum

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLWriter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getStringForDocument(org.w3c.dom.Document doc, java.lang.String encoding)` Returns a String containg the XML-Document
    `java.lang.String` | `getStringForNode(org.w3c.dom.Node node)` Returns a String for a Node
    `void` | `writeDocumentToOutputStream(org.w3c.dom.Document doc, java.io.OutputStream out, java.lang.String encoding)` Writes a Document into an Outputstream

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XMLWriter

          public XMLWriter()

  - ### Method Detail

    - #### getStringForDocument

          public java.lang.String getStringForDocument(org.w3c.dom.Document doc,
                                              java.lang.String encoding)

      Returns a String containg the XML-Document
      Parameters:
        `doc` - Document
        `encoding` - Encoding
      Returns:
        Document as String

    - #### getStringForNode

          public java.lang.String getStringForNode(org.w3c.dom.Node node)

      Returns a String for a Node
      Parameters:
        `node` - Node
      Returns:
        String-Represenation of Node

    - #### writeDocumentToOutputStream

          public void writeDocumentToOutputStream(org.w3c.dom.Document doc,
                                         java.io.OutputStream out,
                                         java.lang.String encoding)
                                           throws java.io.IOException

      Writes a Document into an Outputstream
      Parameters:
        `doc` - Document
        `out` - Outputstream
        `encoding` - Encoding to use
      Throws:
        `java.io.IOException` - Exception if write failed

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)